PETSc version 3.15.5
Fix/Edit manual page

# PetscObjectGetName

Gets a string name associated with a PETSc object.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectGetName(PetscObject obj,const char *name[])

Not Collective unless object has not been named yet

### Input Parameters

| obj | - the Petsc variable Thus must be cast with a (PetscObject), for example, PetscObjectGetName((PetscObject)mat,&name);
| name | - the name associated with obj

### Notes

Calls PetscObjectName() if a name has not yet been provided to the object.

### See Also

PetscObjectSetName(), PetscObjectName()

### Level

intermediate

### Location

src/sys/objects/pgname.c

### Examples

src/dm/tutorials/ex10.c.html
src/snes/tutorials/ex12.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages